--[[

IslandStats Addon.
@author Ben Antonellis
@ign Jimlee-Borean Tundra
@version 1.0
@date August 19th, 2020
@license MIT - See CurseForge / Github

]]--

local addonName = "IslandStats"
local party = {}
local initiated = false

function eventTrigger(self, event, ...)
    if event == "ISLAND_COMPLETED" then
        SendChatMessage("Island Expedition Stats!", "PARTY")
        for player, azerite in pairs(party) do
            SendChatMessage(player .. " collected " .. azerite .. " azerite!", "PARTY")
        end
        party = {}
    end
    if event == "ISLAND_AZERITE_GAIN" then
        if not initiated then 
            print("|cFF00FF00IslandStats Initiated. Good luck! :)")
            initiated = true
        end
        local amount, gainedByPlayer, factionIndex, gainedBy, gainedFrom = ...
        local locClass, engClass, locRace, engRace, gender, name, server = GetPlayerInfoByGUID(gainedBy)
        if party[name] == nil then
            party[name] = 0
        else
            party[name] = party[name] + amount
        end
    end
    if event == "PLAYER_ENTERING_WORLD" then
        local initialLogin, reloadingUI = ...
        if initialLogin then
            print("|cFFC7BF50<|cFF50C79F" .. addonName .. " Loaded!|cFFC7BF50>|r")
        end
        if reloadingUI then
            print("|cFFC7BF50<|cFF50C79F" .. addonName .. " Reloaded! Previous Data Lost!|cFFC7BF50>|r")
        end
    end
end

local f = CreateFrame('Frame')
f:RegisterEvent("ISLAND_COMPLETED")
f:RegisterEvent("ISLAND_AZERITE_GAIN")
f:RegisterEvent("PLAYER_ENTERING_WORLD")
f:SetScript("OnEvent", eventTrigger)